/*
*  AddrEditDlgs.h
*  Copyright  1999-2005 by Richard Christman
*  ALL RIGHTS RESERVED
*
*  This source file is released for peer review purposes only. It is not public domain. 
*  Redistribution either in part or whole is forbidden. The sole source for QuickSilver 
*  distribution currently is http://quicksilvermail.net . You have permission to compile
*  this source for your own use.
*
*  Richard
*  --
*  R.Christman
*  quicksilver@quicksilvermail.net
*  http://quicksilvermail.net
*
*/
//---------------------------------------------------------------------------
#ifndef AddrEditDlgsH
#define AddrEditDlgsH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
#include <vcl\ComCtrls.hpp>
//---------------------------------------------------------------------------
bool __fastcall EditAddressesEtc(TStrings *Addresses, TStrings *Newsgroups, TForm *Owner);
bool __fastcall EditAddressesEtcOnly(TForm *Owner);

class TAddrEditDlg : public TForm
{
__published:	// IDE-managed Components
  TButton *OkBtn;
  TButton *CancelBtn;
  TPageControl *PageControl1;
  TTabSheet *AddressTab;
  TTabSheet *NewsgroupTab;
  TPanel *Panel1;
  TMemo *AddrMemo;
  TPanel *Panel2;
  TMemo *NewsMemo;
  void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
private:	// User declarations
public:		// User declarations
  __fastcall TAddrEditDlg(TComponent* Owner);
  bool __fastcall SaveLists();
  bool __fastcall Execute();
};
//---------------------------------------------------------------------------
extern TAddrEditDlg *AddrEditDlg;
//---------------------------------------------------------------------------
#endif
