/*
*  FindDlgs.h
*  Copyright  1999-2005 by Richard Christman
*  ALL RIGHTS RESERVED
*
*  This source file is released for peer review purposes only. It is not public domain. 
*  Redistribution either in part or whole is forbidden. The sole source for QuickSilver 
*  distribution currently is http://quicksilvermail.net . You have permission to compile
*  this source for your own use.
*
*  Richard
*  --
*  R.Christman
*  quicksilver@quicksilvermail.net
*  http://quicksilvermail.net
*
*/
//---------------------------------------------------------------------------
#ifndef FindDlgsH
#define FindDlgsH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
//---------------------------------------------------------------------------
bool __fastcall GetFindTextParams(TForm *Owner, AnsiString &text2find,
   bool &who, bool &subject, bool &headers, bool &body);

class TFindDlg : public TForm
{
__published:	// IDE-managed Components
  TPanel *Panel1;
  TLabel *Label1;
  TComboBox *EditBox;
  TGroupBox *GroupBox1;
  TCheckBox *WhoBox;
  TCheckBox *SubjectBox;
  TCheckBox *HeadersBox;
  TCheckBox *BodyBox;
  TButton *OkBtn;
  TButton *CancelBtn;
  void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
  
private:	// User declarations
public:		// User declarations
  __fastcall TFindDlg(TComponent* Owner);
  __fastcall~TFindDlg();
};
//---------------------------------------------------------------------------
extern TFindDlg *FindDlg;
//---------------------------------------------------------------------------
#endif
