/*
*  HttpProxyDlgs.h
*  Copyright  1999-2005 by Richard Christman
*  ALL RIGHTS RESERVED
*
*  This source file is released for peer review purposes only. It is not public domain. 
*  Redistribution either in part or whole is forbidden. The sole source for QuickSilver 
*  distribution currently is http://quicksilvermail.net . You have permission to compile
*  this source for your own use.
*
*  Richard
*  --
*  R.Christman
*  quicksilver@quicksilvermail.net
*  http://quicksilvermail.net
*
*/
//---------------------------------------------------------------------------
#ifndef HttpProxyDlgsH
#define HttpProxyDlgsH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
//---------------------------------------------------------------------------
bool __fastcall GetWebProxyInfo(TForm *Owner);

class THttpProxyDlg : public TForm
{
__published:	// IDE-managed Components
  TBevel *Bevel1;
  TButton *OkBtn;
  TButton *CancelBtn;
  TButton *HelpBtn;
  TGroupBox *GroupBox1;
  TLabel *Label2;
  TEdit *ProxyHostEdit;
  TLabel *Label3;
  TEdit *ProxyPortEdit;
  TLabel *Label5;
  TEdit *ProxyUserEdit;
  TLabel *Label4;
  TCheckBox *ProxyPswdBox;
  TLabel *Label6;
  TEdit *ProxyPswdEdit;
  void __fastcall HelpBtnClick(TObject *Sender);
  
  void __fastcall ProxyPswdBoxClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
  __fastcall THttpProxyDlg(TComponent* Owner);
  void __fastcall StoreProxy();
  void __fastcall LoadProxy();
  bool __fastcall Execute();
};
//---------------------------------------------------------------------------
extern THttpProxyDlg *HttpProxyDlg;
//---------------------------------------------------------------------------
#endif
