/*
*  PickBoxDlgs.h
*  Copyright  1999-2005 by Richard Christman
*  ALL RIGHTS RESERVED
*
*  This source file is released for peer review purposes only. It is not public domain. 
*  Redistribution either in part or whole is forbidden. The sole source for QuickSilver 
*  distribution currently is http://quicksilvermail.net . You have permission to compile
*  this source for your own use.
*
*  Richard
*  --
*  R.Christman
*  quicksilver@quicksilvermail.net
*  http://quicksilvermail.net
*
*/
//---------------------------------------------------------------------------
#ifndef PickBoxDlgsH
#define PickBoxDlgsH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
#include <vcl\Buttons.hpp>
#include "OpenDlgs.h"
#include <vcl\Menus.hpp>
//---------------------------------------------------------------------------
AnsiString __fastcall GetTransferBoxname(AnsiString &Oldname);

class TPickBoxDlg : public TOpenDlg
{
__published:	// IDE-managed Components
  TSpeedButton *NewBoxBtn;
  TPopupMenu *PopupMenu1;
  TMenuItem *PopNewmailbox;
  void __fastcall ItemsBoxDblClick(TObject *Sender);
  void __fastcall NewBoxBtnClick(TObject *Sender);
  

  
  void __fastcall HelpBtnClick(TObject *Sender);
  void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
private:	// User declarations
public:		// User declarations
  AnsiString FromBox;
  __fastcall TPickBoxDlg(TComponent* Owner);
  void __fastcall LoadMailboxes();
};
//---------------------------------------------------------------------------
extern TPickBoxDlg *PickBoxDlg;
//---------------------------------------------------------------------------
#endif
