/*
*  qsmsgboxdlgs.cpp
*  Copyright  1999-2005 by Richard Christman
*  ALL RIGHTS RESERVED
*
*  This source file is released for peer review purposes only. It is not public domain. 
*  Redistribution either in part or whole is forbidden. The sole source for QuickSilver 
*  distribution currently is http://quicksilvermail.net . You have permission to compile
*  this source for your own use.
*
*  Richard
*  --
*  R.Christman
*  quicksilver@quicksilvermail.net
*  http://quicksilvermail.net
*
*/
//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

#include "QSMsgBoxDlgs.h"
//---------------------------------------------------------------------------
#pragma resource "*.dfm"
TQSMsgBoxDlg *QSMsgBoxDlg;
//---------------------------------------------------------------------------
__fastcall TQSMsgBoxDlg::TQSMsgBoxDlg(TComponent* Owner)
  : TForm(Owner)
{
   TForm *MF=(TForm*)Owner,*CF=this;
   CF->Top = MF->Top+((MF->Height-CF->Height)/2);
   CF->Left = MF->Left+((MF->Width-CF->Width)/2);
   result = mrNone;
}
//---------------------------------------------------------------------------
void __fastcall TQSMsgBoxDlg::FormCloseQuery(TObject *Sender, bool &CanClose)
{
   switch (ModalResult)
   {
      case mrOk: result=IDOK; break;
      case mrCancel: result=IDCANCEL; break;
      case mrYes: result=IDYES; break;
      case mrNo: result=IDNO; break;
      case mrAbort: result=IDABORT; break;
      case mrRetry: result=IDRETRY; break;
      case mrIgnore: result=IDIGNORE; break;
   }
}
//---------------------------------------------------------------------------
__fastcall TQSMsgBoxDlg::~TQSMsgBoxDlg()
{
}
//---------------------------------------------------------------------------
