/*
*  CpkKeyClrDlgs.cpp
*  Copyright  1999-2005 by Richard Christman
*  ALL RIGHTS RESERVED
*
*  This source file is released for peer review purposes only. It is not public domain. 
*  Redistribution either in part or whole is forbidden. The sole source for QuickSilver 
*  distribution currently is http://quicksilvermail.net . You have permission to compile
*  this source for your own use.
*
*  Richard
*  --
*  R.Christman
*  quicksilver@quicksilvermail.net
*  http://quicksilvermail.net
*
*/
//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

#include "CpkKeyClrDlgs.h"
#include "HelpDlgs.h"
#include "fileman.h"
#include "global.h"
//---------------------------------------------------------------------------
#pragma resource "*.dfm"
TCpkKeyClrDlg *CpkKeyClrDlg;
//---------------------------------------------------------------------------
bool __fastcall CpkClearKeyring(TForm *Owner, bool &clearall)
{
   CpkKeyClrDlg = new TCpkKeyClrDlg(Owner);
   CpkKeyClrDlg->ShowModal();
   bool ok = CpkKeyClrDlg->ModalResult==mrOk;
   clearall = !CpkKeyClrDlg->DisabledBox->Checked;
   delete CpkKeyClrDlg;
   return ok;
}
//---------------------------------------------------------------------------
__fastcall TCpkKeyClrDlg::TCpkKeyClrDlg(TComponent* Owner)
	: TForm(Owner)
{
   DisabledBox->Checked = GetAppIni(CpkKeepDisabled,"1")=="1";
   CenterDialog(this,(TForm*)Owner);
   MyBeep(0);
}
//---------------------------------------------------------------------------
void __fastcall TCpkKeyClrDlg::DisabledBoxClick(TObject *Sender)
{
   PutAppIni(CpkKeepDisabled,DisabledBox->Checked?"1":"0");
}
//---------------------------------------------------------------------------
void __fastcall TCpkKeyClrDlg::HelpBtnClick(TObject *Sender)
{
   OpenHelp("RemailerKeyrings","Clearing Keyrings","Clear Keyring");
}
//---------------------------------------------------------------------------
