/*
*  InfoTestManDlgs.cpp
*  Copyright  1999-2005 by Richard Christman
*  ALL RIGHTS RESERVED
*
*  This source file is released for peer review purposes only. It is not public domain. 
*  Redistribution either in part or whole is forbidden. The sole source for QuickSilver 
*  distribution currently is http://quicksilvermail.net . You have permission to compile
*  this source for your own use.
*
*  Richard
*  --
*  R.Christman
*  quicksilver@quicksilvermail.net
*  http://quicksilvermail.net
*
*/
//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

#include "InfoTestManDlgs.h"
#include "FileMan.h"
#include "Global.h"
//---------------------------------------------------------------------------
#pragma resource "*.dfm"
TInfoTestManDlg *InfoTestManDlg;
//---------------------------------------------------------------------------

const AnsiString mannersmsg = "\
I see from your subject here that you are sending what looks like some sort of \
test message. I also see that the newsgroup alt.privacy.anon-server is the \
destination. Stop! Please do not do that! It is very poor manners to send test \
messages to ANY non-test newsgroups. There are appropriate groups for that \
purpose. Here are a few. \n\n\
alt.just.testing    alt.test    misc.test \n\n\
If I am mistaken in my assumption and this is not a test message, click OK to \
continue. Otherwise, click Cancel and change your newsgroups header.";

//---------------------------------------------------------------------------
int __fastcall ExplainTestMessageManners(TForm *Owner)
{
   int mrResult = mrOk;
   if (InfoDlgsValues->Values[TestMsgManners]!="1")
   {
      AppProcessMessages(); Sleep(200);
      InfoTestManDlg = new TInfoTestManDlg(Owner);
      InfoTestManDlg->ShowModal();
      mrResult = InfoTestManDlg->ModalResult;
      if (InfoTestManDlg->StopBox->Checked) InfoDlgsValues->Values[TestMsgManners] = "1";
      delete InfoTestManDlg;
   }
   return mrResult;
}
//---------------------------------------------------------------------------
__fastcall TInfoTestManDlg::TInfoTestManDlg(TComponent* Owner)
	: TForm(Owner)
{
   RichEdit1->Lines->Text = mannersmsg;
   CenterDialog(this,Owner);
}
//---------------------------------------------------------------------------
