/*
*  KeyringDelDlgs.h
*  Copyright  1999-2005 by Richard Christman
*  ALL RIGHTS RESERVED
*
*  This source file is released for peer review purposes only. It is not public domain. 
*  Redistribution either in part or whole is forbidden. The sole source for QuickSilver 
*  distribution currently is http://quicksilvermail.net . You have permission to compile
*  this source for your own use.
*
*  Richard
*  --
*  R.Christman
*  quicksilver@quicksilvermail.net
*  http://quicksilvermail.net
*
*/
//---------------------------------------------------------------------------
#ifndef KeyringDelDlgsH
#define KeyringDelDlgsH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
//---------------------------------------------------------------------------
bool __fastcall KeyringDeleteKey(TForm *Owner, AnsiString KeyringName);

class TKeyringDelDlg : public TForm
{
__published:	// IDE-managed Components
	TLabel *Label1;
	TLabel *Label2;
	TLabel *Label4;
	TButton *OkBtn;
	TButton *CancelBtn;
	TButton *HelpBtn;
	void __fastcall HelpBtnClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
	virtual __fastcall TKeyringDelDlg(TComponent* Owner);
	virtual __fastcall TKeyringDelDlg(TComponent* Owner, AnsiString KeyringName);
};
//---------------------------------------------------------------------------
extern TKeyringDelDlg *KeyringDelDlg;
//---------------------------------------------------------------------------
#endif
