/*
*  NoteWins.h
*  Copyright  1999-2005 by Richard Christman
*  ALL RIGHTS RESERVED
*
*  This source file is released for peer review purposes only. It is not public domain. 
*  Redistribution either in part or whole is forbidden. The sole source for QuickSilver 
*  distribution currently is http://quicksilvermail.net . You have permission to compile
*  this source for your own use.
*
*  Richard
*  --
*  R.Christman
*  quicksilver@quicksilvermail.net
*  http://quicksilvermail.net
*
*/
//---------------------------------------------------------------------------
#ifndef NoteWinsH
#define NoteWinsH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
#include <vcl\Buttons.hpp>
#include <vcl\ComCtrls.hpp>
#include <vcl\Menus.hpp>
#include "TextWins.h"
#include "explbtn.hpp"
//---------------------------------------------------------------------------
class TNoteWin : public TTextWin
{
__published:	// IDE-managed Components
  TPopupMenu *PopupMenu1;
  TMenuItem *PopupSaveItem;
  TMenuItem *PopupSaveasItem;
  TMenuItem *N7;
  TMenuItem *PopupDeleteItem;
  TOfficeButton *SaveBtn;
  TBevel *Bevel11;
  TMenuItem *PopSaveMessageItem;
  TMenuItem *DeleteMessageItem;
  void __fastcall SaveBtnClick(TObject *Sender);
  void __fastcall SaveandExit1Click(TObject *Sender);
  void __fastcall PopupSaveItemClick(TObject *Sender);
  void __fastcall PopupSaveasItemClick(TObject *Sender);
  void __fastcall PopupMenu1Popup(TObject *Sender);
  void __fastcall PopupDeleteItemClick(TObject *Sender);
  void __fastcall OkBtnEnter(TObject *Sender);
  void __fastcall OkBtnExit(TObject *Sender);
  void __fastcall SaveBtnEnter(TObject *Sender);
  void __fastcall SaveBtnExit(TObject *Sender);
private:	// User declarations
public:		// User declarations
  virtual __fastcall TNoteWin(TComponent* Owner);
  virtual __fastcall TNoteWin(AnsiString Section, AnsiString caption,
     TComponent *Owner);
  virtual __fastcall TNoteWin(int x, int y, int w, int h, AnsiString &Title,
     TStrings *lines, TComponent *Owner);
};
//---------------------------------------------------------------------------
extern TNoteWin *NoteWin;
//---------------------------------------------------------------------------
#endif
