/*
*  SaveDlg.h
*  Copyright  1999-2005 by Richard Christman
*  ALL RIGHTS RESERVED
*
*  This source file is released for peer review purposes only. It is not public domain. 
*  Redistribution either in part or whole is forbidden. The sole source for QuickSilver 
*  distribution currently is http://quicksilvermail.net . You have permission to compile
*  this source for your own use.
*
*  Richard
*  --
*  R.Christman
*  quicksilver@quicksilvermail.net
*  http://quicksilvermail.net
*
*/
//---------------------------------------------------------------------------
#ifndef SaveDlgH
#define SaveDlgH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
#include <vcl\Menus.hpp>
#include "OldOpenDlg.h"
#include <vcl\ComCtrls.hpp>
//---------------------------------------------------------------------------
AnsiString __fastcall GetSaveMessagePath(AnsiString &Section, AnsiString &CurName);
AnsiString __fastcall GetSaveMessagePathEx(AnsiString &Section, AnsiString &CurName);

class TSaveForm : public TOpenForm
{
__published:	// IDE-managed Components
   void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
  
  
private:	// User declarations
public:		// User declarations
   virtual __fastcall TSaveForm(TComponent* Owner);
   virtual __fastcall TSaveForm(AnsiString &CurName, TComponent* Owner);
};
//---------------------------------------------------------------------------
extern TSaveForm *SaveForm;
//---------------------------------------------------------------------------
#endif
