/*
*  newsmail.cpp
*  Copyright  1999-2005 by Richard Christman
*  ALL RIGHTS RESERVED
*
*  This source file is released for peer review purposes only. It is not public domain. 
*  Redistribution either in part or whole is forbidden. The sole source for QuickSilver 
*  distribution currently is http://quicksilvermail.net . You have permission to compile
*  this source for your own use.
*
*  Richard
*  --
*  R.Christman
*  quicksilver@quicksilvermail.net
*  http://quicksilvermail.net
*
*/
//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

#include "newsmail.h"
#include "fileman.h"
#include "global.h"

HINSTANCE hNntpLib=NULL;
HINSTANCE hEsubLib=NULL;
extern AnsiString esub = "<es>";
//---------------------------------------------------------------------------
bool __fastcall HasNews()
{
   return hNntpLib!=0;
}
//---------------------------------------------------------------------------
AnsiString __fastcall GetNewsLibName()
{
   return "QSnews";
}
//---------------------------------------------------------------------------
AnsiString __fastcall GetNewsLibVersion()
{
   return GetAppIni("version","pending first run",AppDir+"QSnews.ini");
}
//---------------------------------------------------------------------------
// Esub Functions
//---------------------------------------------------------------------------
int __stdcall EncryptSubject(AnsiString &subject, AnsiString &key, AnsiString &encsubject)
{
   PSENCRYPTSUBJECT encr = (PSENCRYPTSUBJECT)GetProcAddress(hEsubLib,"_psEncryptSubject@12");
   if (!encr)
   {
      MsgBoxTsk("Esub function 'psEncryptSubject' is not available","No Esub available",MB_OK);
      return -64;
   }
   return (encr)(subject.c_str(),key.c_str(),encsubject.c_str());
}
//---------------------------------------------------------------------------
int __stdcall TestSubject(AnsiString &encsubject, AnsiString &subject, AnsiString &key)
{
   PSTESTSUBJECT test=(PSTESTSUBJECT)GetProcAddress(hEsubLib,"_psTestSubject@12");
   if (!test)
   {
      MsgBoxTsk("Esub function 'psTestSubject' is not available","Esub Error",MB_OK);
      return -64;
   }
   return (test)(encsubject.c_str(),subject.c_str(),key.c_str());
}
//---------------------------------------------------------------------------
