/*
*  pgpkeyexpdlgs.h
*  Copyright  1999-2005 by Richard Christman
*  ALL RIGHTS RESERVED
*
*  This source file is released for peer review purposes only. It is not public domain. 
*  Redistribution either in part or whole is forbidden. The sole source for QuickSilver 
*  distribution currently is http://quicksilvermail.net . You have permission to compile
*  this source for your own use.
*
*  Richard
*  --
*  R.Christman
*  quicksilver@quicksilvermail.net
*  http://quicksilvermail.net
*
*/
//---------------------------------------------------------------------------
#ifndef PgpKeyExpDlgsH
#define PgpKeyExpDlgsH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
#include <vcl\Buttons.hpp>
#include <vcl\ComCtrls.hpp>
#include "pgpbuffers.h"
#include <vcl\Dialogs.hpp>
//---------------------------------------------------------------------------
bool __fastcall ExportOpenPGPKeys(TForm *Owner, TPGPbuffer *PublicKeys,
   TPGPbuffer *SecretKeys, AnsiString SelectedKeyId, AnsiString &ExportDir);

class TPgpKeyExpDlg : public TForm
{
__published:	// IDE-managed Components
  TPanel *Panel1;
  TButton *CancelBtn;
  TLabel *Label1;
  TButton *ExportBtn;
  TListBox *ListBox1;
  TPanel *Panel2;
  TLabel *Label2;
  TRadioButton *ClipBtn;
  TRadioButton *FileBtn;
  TCheckBox *PrivateKeysBox;
  TButton *SelBtn;
  TButton *ClrBtn;
  TSaveDialog *SaveDialog1;
  void __fastcall SelBtnClick(TObject *Sender);
  void __fastcall ClrBtnClick(TObject *Sender);
  void __fastcall ListBox1Click(TObject *Sender);
  void __fastcall ExportBtnClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
  bool exported;
  TPGPbuffer *pdb,*sdb;
  __fastcall TPgpKeyExpDlg(TComponent* Owner);
  AnsiString __fastcall KeyIdText8(int atpos);
};
//---------------------------------------------------------------------------
extern TPgpKeyExpDlg *PgpKeyExpDlg;
//---------------------------------------------------------------------------
#endif
